package com.oracle.coherence.handson.chat;

import java.io.Serializable;

public class ChatMessage implements Serializable {
    
    private String from;
    private long entryTime;
    private String message;
    
    public ChatMessage() {
    }
    
    public ChatMessage(String from, String message) {
        this.from = from;
        this.message = message;
        this.entryTime = System.currentTimeMillis();
    }


    public void setFrom(String from) {
        this.from = from;
    }

    public String getFrom() {
        return from;
    }

    public void setEntryTime(long entryTime) {
        this.entryTime = entryTime;
    }

    public long getEntryTime() {
        return entryTime;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public String getMessage() {
        return message;
    }
}
