package com.oracle.coherence.handson;

import com.tangosol.net.CacheFactory;
import com.tangosol.net.NamedCache;
import com.tangosol.util.extractor.ReflectionExtractor;

import java.util.HashMap;

import java.util.Map;
import java.util.Random;

public class PopulatePeopleBulk {
    public PopulatePeopleBulk() {
    }

    public static void main(String[] args) {
        NamedCache person = CacheFactory.getCache("person");
        
        // add indexes
       // person.addIndex(new ReflectionExtractor("getGender"), true, null);
        //person.addIndex(new ReflectionExtractor("getAgeDouble"), false, null);
        
        Random generator = new Random();
        Map    personBuffer = new HashMap();
        
               
        for (int i = 1; i <= 10000; i++) {
            Person p = new Person(i, "Surname" + i, "Firstname" + i,
                                  "Address" + i, generator.nextInt(100) + 1,
                                  (generator.nextInt(2) == 1 ? Person.FEMALE : Person.MALE) ) ;
            personBuffer.put(p.getId(),p);
        
        }
        
        if (!(personBuffer.isEmpty())) 
        {
            person.putAll(personBuffer);
        }
        
        System.out.println(person.entrySet().size());
        
    }
}
